import request from '@/utils/request'

//获取配件类型下拉框-三级
export function getPartType(query) {
  return request({
      url: '/material/part_accept/partTypeThree',
      method: 'get',
      params: query,
  })
}

 // 配件入库API
 export function partTypeWarehouse(data) {
   return request({
     url: '/material/part_accept/partTypeWarehouse',
     method: 'post',
     data: data,
   })
}
 
 // 配件驳回API
 export function partTypeReject(data) {
  return request({
    url: '/material/part_accept/partTypeReject',
    method: 'post',
    data: data,
  })
}

 // 外层配件入库API
 export function passAll(data) {
  return request({
    url: '/material/part_accept/passAll',
    method: 'post',
    data: data
  })
}

 // 外层配件驳回API
 export function rejectAll(data) {
  return request({
    url: '/material/part_accept/rejectAll',
    method: 'post',
    data: data ,
  })
}

export function innerVerify(data) {
  return request({
    url: '/material/part_check/innerVerify',
    method: 'post',
    data: data ,
  })
}